Subject: Re: Timing

From: [email-masked] (C. Kumar)
Date: Tue, 15 Mar 94 10:04:34 -0500

> 
> To all the ibis forum -
> 
> In looking over some of the BIRDS before the last forum call, the
> question occured to me that if we are putting voltage thresholds into
> the input models for the sake of timing analysis ( which I agree with
> fully! ) should we also have, probably optional, annotation of the setup
> and hold times for clocked devices for the same purpose?  If we view
> ibis models as some kind of "electronic data book", then it would seem
> natural to include these times, possibly under an optional [Timing]
> keyword.  This would give enough data all in one place to flag
> violations.  I doubt that there is enough data to assess the metastable
> behviour possible if the violation occurs, and I am not at all sure we
> want to put that much data in the model.  It gets too much into the
> specifics of the circuitry, as well as not being particularly amenable
> to measurement apart from simulation.  Does the forum feel this warrants
> a BIRD?
> 
> Thanks,
> 
> ______________________________________________      ____________________
> |                   | Seeking to return to    |    /  __________________O
> | Bob Ward          | the North Country, MN,  |   /  /|________________
> | [email-masked] | WI, ND, SD, or MT. Also |  /  /_/________________O
> | 713.568.4122      | considering Mtn. West.  | /_____________________
> |___________________|_________________________| |_____________________O
> 

I whole hearedly agree with Bob's view. It makes sense to have all the 
related data in one place.

- kumar